# Persistence Intervals and Diagrams

```@docs
PersistenceInterval
```

```@docs
birth(::PersistenceInterval)
```

```@docs
death(::PersistenceInterval)
```

```@docs
persistence(::PersistenceInterval)
```

```@docs
representative(::PersistenceInterval)
```

```@docs
PersistenceDiagram
```

```@docs
barcode(::Union{PersistenceDiagram, AbstractVector{<:PersistenceDiagram}})
```

## Distances Between Persistence Diagrams

```@docs
Bottleneck
```

```@docs
Wasserstein
```

```@docs
matching
```

```@docs
weight
```

## Persistence Diagram Vectorization Methods

```@docs
BettiCurve
```

```@docs
PersistenceImage
```
